package {
	import net.flashpunk.*;
	import net.flashpunk.utils.*;
	import net.flashpunk.graphics.*;
	import flash.display.BitmapData;


	public class Ending extends World {
		public function Ending() {
			// Ambiance
			var shape:Image = Shape.createGraphic(2, 200);
			shape.tintMode = 1.0;
			shape.color = 0xa0a0a0;
			addGraphic(shape, 1, 270, 80);

			// ...
			var txt:String = "You have reached the end of this game\n"
							+ "Congratulations, now you are free";

			// Text
			var ts:Object = { size:128, color:0x00, width:FP.width, align:"center", font:"brush" };
			addGraphic( new Text("The End", 0, 60, ts) );

			var ds:Object = { size:32, color:0x00, width:FP.width, align:"center", font:"brush" };
			addGraphic( new Text(txt, 0, 300, ds) );


			// Back button
			add( new Button("Back", FP.halfWidth-50, FP.height-50, 100, 40, goBack) );
		}


		public function goBack(): void {
			Transition.fadeOut( new Title(), 0xffffff );
			Audio.play("change");
		}

		public override function update(): void {
			super.update();
			if(Input.pressed(Key.ESCAPE)) goBack();
		}

		

	}
}



