package {

	import net.flashpunk.*;
	import net.flashpunk.utils.*;

	public class Ripple extends Entity {

		private var value:Number = 0;

		public function Ripple(x:Number, y:Number) {
			super(x, y);
		}

		public override function update(): void {
			value += 0.01;
			if(value>=1.0) world.remove(this);
		}

		public override function render(): void {
			Draw.circlePlus(x, y, Shape.radius + value*20, 0x00, 0.5-value*0.5, false, 1+value*5);
		}
	}

}
